Ubuntu 9.04(Jaunty Jackalope) 安裝 Firefox 3.5

昨天機器當機後, firefox 執行後, 都會發生 "程式記憶體區段錯誤", 然後就關掉了.

後來先 Google chrome 頂著用, 不過 Firefox 的外掛在開發時可以省很多時間, 還是得要把 Firefox 搞定才行, 於是決定來裝 Firefox 3.5.

本來想裝 Firefox 3.5 要花點時間, 後來發現 $4 大大的這篇文章: 在 Ubuntu 8.10 (intrepid) 上面安裝 Firefox 3.5

原來 Ubuntu 9.04 已經有放入 firefox 3.5 了, 不過介面暫時是英文版的而已.

安裝步驟

  1. apt-get install firefox-3.5-gnome-support
  2. 安裝中文語系包 http://releases.mozilla.org/pub/mozilla.org/firefox/releases/3.5/linux-i686/xpi/zh-TW.xpi (用 Firefox 3.5 打開, 點此連結即可)
  3. 應用程式 -> 網際網路 -> Shiretoko Web Browser 即可以開啟使用.
  4. cd /usr/bin/; ln -fs firefox-3.5 firefox # 指定預設瀏覽器是 Firefox 3.5

Firefox 3.5 速度快很多, 而且自動會將舊的設定 和 外掛都放進去, 非常方便~ 😛

本來準備要做的備份、設定等, 都沒有用到, 不過還是紀錄一下:

相關網頁


關於 Tsung

對新奇的事物都很有興趣, 喜歡簡單的東西, 過簡單的生活.
本篇發表於 News-Application。將永久鏈結加入書籤。

Ubuntu 9.04(Jaunty Jackalope) 安裝 Firefox 3.5 有 6 則回應

  1. Tsung 說道:

    感恩~ 不過我還是想要用官方版的說~ 安全性更新 apt 就可以自動做完, 比較簡單~ 😛

  2. 呆瓜 說道:

    今天用ubuntu 9.10 Firefox 3.5.5 看Google Reader的时候也出现[段错误]。
    尚未查明原因。

  3. Tsung 說道:

    Mmm... 我現在已經遇不到這種錯誤了說~ 😛

  4. kuan 說道:

    http://releases.mozilla.org/pub/mozilla.org/firefox/releases/3.5.7/linux-i686/xpi/zh-TW.xpi
    語言包的位置改了...
    剛剛直接用Mozilla的PPA把9.04內建的Firefox升級了,只是很奇怪的Firefox變成了Shiretoko,意思跟Debian上的Iceweasel一樣嗎?

  5. Tsung 說道:

    我會建議直接用 Ubuntu 9.10, 已經內建 Firefox 3.5 囉~
    Shiretoko 和 Iceweasel 應該是不同的.
    Iceweasel 是 Debian 與 Firefox 的政治問題. XD

發表迴響

這個網站採用 Akismet 服務減少垃圾留言。進一步瞭解 Akismet 如何處理網站訪客的留言資料